﻿package
{
	import flash.display.*;
	import flash.events.*;
	import flash.ui.Keyboard;
	
	import org.papervision3d.cameras.Camera3D;
	import org.papervision3d.objects.Cylinder;
	import org.papervision3d.scenes.MovieScene3D;
	import org.papervision3d.materials.BitmapFileMaterial;

	// its just preparing our SWF Screen
	[SWF(width='400',height='400',backgroundColor='0x000000',frameRate='30')]
	
	public class ExampleCylinderPrimitive extends Sprite
	{
		private var container: Sprite;
		private var scene: MovieScene3D;
		private var camera: Camera3D;
		private var cylinder:Cylinder
		
		private var mc1:MovieClip;
		private var mc2:MovieClip;
		private var  material:BitmapFileMaterial;

		public function ExampleCylinderPrimitive()
		{
			// create a container that will display our work
			container = new Sprite;
			container.x = 200;
			container.y = 200;
			addChild( container );
			scene = new MovieScene3D( container );
			
			// create a camera from where we could see it
			camera = new Camera3D();
			camera.z = -500;
			camera.zoom = 5;
			
			material = new BitmapFileMaterial("texture.jpg"); 
			material.doubleSided = true;
			material.smooth = true;			
			
		    cylinder = new Cylinder( material, 100, 250, 30, 10);
			scene.addChild( cylinder );
			
			//adding a frame Enter event, when it enter frmae it will start
			stage.addEventListener(Event.ENTER_FRAME ,onEnter);
			
		}
			
		public function onEnter(event:Event ):void
		{
			//rotating triangle
			cylinder.rotationX += 3.5;
			cylinder.rotationY += 5.5;
			cylinder.rotationZ += 3.5;
			scene.renderCamera( camera );
		}
		
		

	}
	
}

